<?php

	include 'connect.php';

	$dir="uploaded/" . $_FILES['file']['name'];
	$dir2=$_FILES['file']['name'];
	$name=htmlentities($_POST['name'], ENT_QUOTES | ENT_HTML5, 'UTF-8');
	$allowedExts = array("gif", "jpeg", "jpg", "png", "JPG", "PNG");
	$temp = explode(".", $_FILES['file']['name']);
	$extension = end($temp);

	if ((($_FILES['file']['type'] == "image/gif")
	|| ($_FILES['file']['type'] == "image/jpeg")
	|| ($_FILES['file']['type'] == "image/jpg")
	|| ($_FILES['file']['type'] == "image/JPG")
	|| ($_FILES['file']['type'] == "image/pjpeg")
	|| ($_FILES['file']['type'] == "image/x-png")
	|| ($_FILES['file']['type'] == "image/png")
	|| ($_FILES['file']['type'] == "image/PNG"))
	&& ($_FILES['file']['size'] < 2000000)
	&& in_array($extension, $allowedExts))
	{
		if ($_FILES['file']['error'] > 0)
		{
			echo "Return Code: " . $_FILES['file']['error'] . "<br>";
		}
		else
		{
			echo "Upload: " . $_FILES['file']['name'] . "<br>";
			echo "Type: " . $_FILES['file']['type'] . "<br>";
			echo "Size: " . ($_FILES['file']['size'] / 1024) . " kB<br>";
			echo "Temp file: " . $_FILES['file']['tmp_name'] . "<br>";
			if (file_exists("uploaded/" . $_FILES["file"]["name"]))
			{
				echo $_FILES['file']['name'] . " already exists. ";
			}
			else
			{
				move_uploaded_file($_FILES['file']['tmp_name'],
				"uploaded/" . $_FILES['file']['name']);

				//suppressed to reduce loadtime.
				//echo "Stored in: " . "uploaded/" . $_FILES['file']['name'] . "<br>";

				$sql="INSERT INTO uploads (uploadDir, uploadName) VALUES (?, ?)";
				$stmt = $conn->prepare($sql);
				$stmt->bind_param('ss', $dir, $name);

				if ($stmt->execute())
				{
					//suppressed to reduce loadtime.
					//echo "New record created successfully";
				}
				else
				{
					echo "Error: " . $sql . "<br>" . $conn->error;
				}
			}
		}
	}
	else
	{
		echo "Invalid file";

		echo '<pre>';
		print_r($_FILES);
		echo '</pre>';
	}

echo "<script>window.location = 'https://www.inkletblot.com/gallery/index.php'</script>";

?>

















